
Redmine - Defect #14041

Email notification error: incompatible character encodings: UTF-8 and ASCII-8BIT

2013-05-13 14:39 - Alexandr Sobolev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 2.3.0

Description

Hello!

I'm configured notification via mail.ru.

My config file:

production:

   email_delivery:

     delivery_method: :smtp

     smtp_settings:

       address: smtp.mail.ru

       domain: mail.ru

       port: 25

       authentication: :login

       user_name: 'test@mail.ru'

       password: 'blabla'

 When i send test mail, get error:

Encoding::CompatibilityError (incompatible character encodings: UTF-8 and ASCII-8BIT):

  lib/redmine/i18n.rb:32:in `l'

  app/controllers/admin_controller.rb:68:in `rescue in test_email'

  app/controllers/admin_controller.rb:64:in `test_email'

 
Environment:

  Redmine version                          2.3.0.stable

  Ruby version                             1.9.3 (x86_64-linux)

  Rails version                            3.2.13

  Environment                              production

  Database adapter                         Mysql2

 my session and global variables MySQL:

character set client            utf8

character set connection    utf8    

character set database            utf8    

character set filesystem    binary    

character set results            utf8    

character set server            utf8    

character set system            utf8

character sets dir            /usr/share/mysql/charsets/

 Help please!

Thanks!

History

#1 - 2013-05-13 14:57 - Toshi MARUYAMA

- Subject changed from Email notification error to Email notification error: incompatible character encodings: UTF-8 and ASCII-8BIT
#2 - 2013-05-13 15:04 - Toshi MARUYAMA

Did you clear cache? (#12900#note-21)

Did you check DB data is UTF-8?

Did you convert to UTF-8, if DB data is not UTF-8?

http://www.redmine.org/boards/1/topics/36573?r=36631#message-36631

#3 - 2013-05-15 04:01 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2013-05-15 10:21 - Alexandr Sobolev

yes

yes

my db was UTF-8

#5 - 2013-05-15 10:25 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#6 - 2013-05-15 10:33 - Toshi MARUYAMA

Sending test mail tests pass in all locales.

source:tags/2.3.1/test/unit/mailer_test.rb#L495

#7 - 2024-01-21 02:00 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Cant reproduce
